Bug 149723 - octave 2.1.57 is buggy and out of date
octave 2.1.57 is buggy and out of date
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 14:20 EST by Jason Straw
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-12 08:14:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Straw 2005-02-25 14:20:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
octave needs an upgrade to 2.1.64 to clean up some incompatabilities
with earlier and later versions.


Version-Release number of selected component (if applicable):
octave-2.1.57-7

How reproducible:
Sometimes

Steps to Reproduce:
start octave and try and use the \ operator on a matrix and a row
matrix, it will break about 1/2 the time.

Additional info:
Comment 1 Vegard Lima 2005-04-06 06:16:22 EDT
Here is sign that something is wrong with Octave-2.1.57-7.

start octave

octave:1> X = rand(64,64)*256
octave:2> image(X)

press q to close the window that pops up.
It will pop up again and spit out the following message:

octave:3> *** glibc detected *** double free or corruption (!prev): 0x08051aa8 ***
Comment 2 kb 2005-05-26 01:37:11 EDT
i cannot reproduce the problem. running FC3 i386 with all updates to this date.

even then i would like to see an updated package.
Comment 3 Ivana Varekova 2005-07-12 08:14:33 EDT
Hello,
I can't reproduce this bug, octave works right (I use the same version).
Probably that can be some problem with lapack - so update your lapack package
please (I use the latest version lapack-3.0-29.src.rpm - it is in Fedora Extras).
Octave is in Fedora Extras now (the latest package is octave-2.1.71-7.fc5.src.rpm). 
Ivana Varekova

Note You need to log in before you can comment on or make changes to this bug.